BANK KALTENG Bugs - Bug #3759

[ESS-Travel]perbaikan pada kolom amount pada travel route dimana pada saat diinput angka
2.000.000 itu bisa kelolosan tersubmit, sehingga menyebabkan workflow menjadi error di ujung flow.

07/29/2025 03:57 PM - Muhammad Bintar

Status: Assigned Start date: 07/29/2025
Priority: Normal Due date: 08/02/2025
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

dear tim developer mohon supportnya untuk perbaikan pada kolom amount pada travel route dimana pada saat diinput angka
2.000.000 itu bisa kelolosan tersubmit(seharusnya amount itu diisi angka 2000000), sehingga
menyebabkan workflow menjadi error di ujung flow.
error nya prc_data_post_req_route-error on Create:Failed to convert parameter value from a String to a Decimal. -
MinovalS.MinovaES.Business.WorkFlow

mungkin sebaiknya kolom amount di travel accomodation juga harus di cek juga kalau ada tanda titik, jangan di submit dulu.
vidio nya da di attachment

Port: http://remote.minovais.com:31130/

DB: MinovaES_Bank_Kalteng_Dev (di 1442)

menu : ess travel

History

#1 - 07/29/2025 05:28 PM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Assignee changed from M Azid Wahyudi to Muhammad Bintar

untuk issue ini, harus ada batasan maksimal yang diperbolehkan d input.
Batasan mana yang akan dipakai? ini yg perlu di define terlebih dahulu untuk tiap data yg bisa berbeda2.
Silahkan untuk di diskusikan dl dgn client

Kalau masalah data yg terinput, sebaiknya tetep di cek knp angka nominal besar menyebabkan error? apa ada batasan data yg bs d terima oleh DB
shg muncul error. kalau pd kenyataan nya harga tiket mahal sampai jutaan gmn, khan mungkin saja. dimana ini harusnya jg tidak boleh error donk.
http://remote.minovais.com:31130/

#2 - 07/29/2025 08:18 PM - Muhammad Bintar
- Description updated
- Status changed from Assigned to New

- Assignee changed from Muhammad Bintar to M Azid Wahyudi

#3 - 07/30/2025 03:23 PM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

validasi jika ada tanda titik atau koma tidak bs submit ya jadinya atau ada special karakter tidak bs submit
